#!/bin/sh
# 
# $Id: install-wheel.sh,v 1.1 2001/01/02 07:32:43 udp Exp $
#
# pam_wheel --  PAM module to check if user is a member of the 'wheel'
#               group, for use with the Solaris 'su' command.
#
# User Datagram Protocol <udp@low-level.net> -- 19/12/2000
# Quick nasty hacked up script to install wheel group support on my Sun.
#
########################################################################
ROOT=/
SECLIB=${ROOT}usr/lib/security
#set -x

/bin/mkdir -p ${ROOT}usr/local/man/man5
/bin/cp ./pam_wheel.5 ${ROOT}usr/local/man/man5/
/bin/chown bin:bin ${ROOT}usr/local/man/man5/pam_wheel.5
/bin/chmod 644 ${ROOT}usr/local/man/man5/pam_wheel.5

/bin/cp ./pam_wheel.so.1 ${SECLIB}/
/bin/cd ${SECLIB}
/bin/ln -s pam_wheel.so.1 ./pam_wheel.so
/bin/chown root:sys pam_wheel.so.1
/bin/chmod 755 pam_wheel.so.1
/usr/sbin/groupadd -g 0 -o wheel

/bin/cp /etc/pam.conf /etc/pam.conf.bak
/bin/cat >> /etc/pam.conf <<__EOF__
su   auth      requisite  /usr/lib/security/pam_wheel.so.1 debug
su   auth      required   /usr/lib/security/pam_unix.so.1 debug
su   account   required   /usr/lib/security/pam_unix.so.1
su   session   required   /usr/lib/security/pam_unix.so.1
__EOF__

exit 0
